gupnp_control_point_new
gupnp_device_info_get_service
Gupnp Functions
PHP Manual

# gupnp_device_action_callback_set

(PECL gupnp >= 0.1.0)

gupnp_device_action_callback_set — Set device callback function

### Description

bool gupnp_device_action_callback_set ( resource `$root_device` , int `$signal` , string `$action_name` , mixed `$callback` [, mixed `$arg` ] )

Set device callback function for signal and action.

### Parameters

`root_device`

  A root device identifier, returned by gupnp_root_device_new().

`signal`

  The value of signal. Signal can be one of the following values:

  `GUPNP_SIGNAL_ACTION_INVOKED`
    Emitted whenever an action is invoked. Handler should process action and must call either gupnp_service_action_return() or gupnp_service_action_return_error().
  `GUPNP_SIGNAL_NOTIFY_FAILED`
    Emitted whenever notification of a client fails.
`action_name`

  The name of action.

`callback`

  The callback function for the certain signal. Typically, callback function takes on three parameters. The `service` parameter's identifier being the first, `action` parameter's identifier (in case GUPNP_SIGNAL_ACTION_INVOKED signal) or `error` parameter's message (in case GUPNP_SIGNAL_NOTIFY_FAILED signal) being the second, and the `arg` is third.

`arg`

  User data for `callback`.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Errors/Exceptions

Issues E_WARNING either with not valid callback function or with not valid signal.

### See Also

- gupnp_root_device_new() - Create a new root device

gupnp_control_point_new
gupnp_device_info_get_service
Gupnp Functions
PHP Manual